VMTKIMAGEFEATURES(1)

NAME
vmtkimagefeatures - vmtk script vmtkimagefeatures

DESCRIPTION
Automatic piping vmtkimagefeatures Parsing options vmtkimagefeatures

vmtkimagefeatures : compute a feature image for use in segmentation

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-featureimagetype FeatureImageType (str,1) in ['vtkgradient',

    'gradient', 'upwind', 'fwhm']; default=gradient

-dimensionality Dimensionality (int,1) >= 2 and <= 3; default=3

-sigmoid SigmoidRemapping (bool,1); default=0

-derivativesigma DerivativeSigma (float,1) >= 0.0; default=0.0

-upwindfactor UpwindFactor (float,1) >= 0.0 and <= 1.0; default=1.0

-fwhmradius FWHMRadius (int,3) >= 0; default=[3, 3, 3]

-fwhmbackgroundvalue FWHMBackgroundValue (float,1); default=0.0

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image